# Generated from minitest-bonus-assertions-3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name minitest-bonus-assertions

Name: rubygem-%{gem_name}
Version: 3.0
Release: 1%{?dist}
Summary: Bonus assertions for {Minitest}[https://github.com/seattlerb/minitest], providing assertions I use frequently, supporting only Ruby 2.0 or better
License: MIT
URL: https://github.com/halostatue/minitest-bonus-assertions
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(minitest) >= 5.10
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(hoe-doofus) >= 1.0
# BuildRequires: rubygem(hoe-doofus) < 2
# BuildRequires: rubygem(hoe-gemspec2) >= 1.1
# BuildRequires: rubygem(hoe-gemspec2) < 2
# BuildRequires: rubygem(hoe-git) >= 1.6
# BuildRequires: rubygem(hoe-git) < 2
# BuildRequires: rubygem(hoe-travis) >= 1.2
# BuildRequires: rubygem(hoe-travis) < 2
# BuildRequires: rubygem(minitest-around) >= 0.3
# BuildRequires: rubygem(minitest-around) < 1
# BuildRequires: rubygem(minitest-autotest) >= 1.0
# BuildRequires: rubygem(minitest-autotest) < 2
# BuildRequires: rubygem(minitest-bisect) >= 1.2
# BuildRequires: rubygem(minitest-bisect) < 2
# BuildRequires: rubygem(minitest-bonus-assertions) >= 2.0
# BuildRequires: rubygem(minitest-bonus-assertions) < 3
# BuildRequires: rubygem(minitest-focus) >= 1.1
# BuildRequires: rubygem(minitest-focus) < 2
# BuildRequires: rubygem(minitest-moar)
# BuildRequires: rubygem(minitest-moar) < 1
# BuildRequires: rubygem(minitest-pretty_diff) >= 0.1
# BuildRequires: rubygem(minitest-pretty_diff) < 1
# BuildRequires: rubygem(simplecov) >= 0.7
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(coveralls) >= 0.7
# BuildRequires: rubygem(coveralls) < 1
# BuildRequires: rubygem(hoe) >= 3.16
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
Bonus assertions for {Minitest}[https://github.com/seattlerb/minitest],
providing assertions I use frequently, supporting only Ruby 2.0 or better.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.autotest
%exclude %{gem_instdir}/.gemtest
%{gem_instdir}/.minitest.rb
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/.workenv
%license %{gem_instdir}/Licence.rdoc
%{gem_instdir}/Manifest.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/Code-of-Conduct.rdoc
%doc %{gem_instdir}/Contributing.rdoc
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Aug 24 2021 mockbuilder - 3.0-1
- Initial package
